> For the complete documentation index, see [llms.txt](https://api-docs.getflipturn.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.getflipturn.com/sites.md).

# Sites

## GET /api/sites

Retrieve a list of an organization's sites, chargers, and ports, as well as their most recent status and details about any ongoing charging sessions.

This endpoint has no parameters, and returns all sites, chargers, and ports each time.

### Response

The JSON response will contain a `data` field, which represents a nested list of sites, chargers, and charging ports.

```ts
{
  data: {
    id: number;
    name: string;
    address: string | null;
    timezone: string; // IANA format
    organization: {
      id: number;
      name: string;
    },
    chargers: {
      id: number;
      name: string;
      manufacturer: string | null;
      model: string | null;
      serialNumber: string | null;
      firmwareVersion: string | null;
      latitude: number | null;
      longitude: number | null;
      externalId: string | null;
      ocppId: string | null;
      type: string; // One of: "DCFC", "Level 2"
      powerSharing: boolean; // true if the charger has more than one port (power-sharing enabled)

      // null if the charger has never connected to Flipturn
      connectionStatus: {
        status: string; // e.g. "Connected", "Disconnected"
        timestamp: string; // ISO 8601 format
      } | null;
      numberOfPorts: number;
      ports: {
        id: number;
        name: string;
        portNumber: number;
        maximumPowerKw: number | null;
        // CCS1, J1772, or NACS
        connectorType: string;
        // null if the port has never sent an OCPP status
        ocppStatus: {
          status: string; // e.g. "Available", "Charging", "Faulted"
          timestamp: string; // ISO 8601 format
          errorCode: string; // OCPP error code, e.g. "NoError", "ConnectorLockFailure"
          vendorErrorCode: string | null; // Vendor-specific error code
          info: string | null; // Additional error information
        } | null;

        // Information about any ongoing charging session -- will be null if no charging session is
        // currently happening on this charger
        currentChargingSession: {
          id: number;
          startTime: string; // ISO 8601 format
          socStartPercent: number | null;
          energyDeliveredKwh: number;
          ocppIdTag: string | null;
          ocppTransactionId: number | null;
          // Latest meter readings from the charging session
          latestReadings: {
            powerKw: {
              value: number;
              timestamp: string; // ISO 8601 format
            } | null;
            currentA: {
              value: number;
              timestamp: string; // ISO 8601 format
            } | null;
            socPercent: {
              value: number;
              timestamp: string; // ISO 8601 format
            } | null;
            voltage: {
              value: number;
              timestamp: string; // ISO 8601 format
            } | null;
          };
          vehicle: {
            id: number;
            make: string | null;
            model: string | null;
            name: string;
            vin: string | null;
          } | null;
          rfid: {
            id: number;
            name: string | null;
          } | null;
          customer: {
            name: string;
          } | null;
        } | null;
      }[];
    }[];
  }[];
}
```

### Example request and response

Request:

```sh
curl "https://api.getflipturn.com/api/sites" -H "Authorization: Bearer {api_key}"
```

Response:

```js
{
  "data": [{
    "id": 1,
    "name": "Site 1",
    "address": "1234 Fake St, Long Beach, CA 90802",
    "timezone": "America/Los_Angeles",
    "organization": {
      "name": "Flipturn Demo Organization",
      "id": 1
    },
    "chargers": [
      {
        "id": 1,
        "manufacturer": "ABB",
        "model": "Terra 184",
        "name": "Test Charger",
        "serialNumber": "1234-5678",
        "firmwareVersion": "1.5.4.4",
        "externalId": "STATION-001",
        "ocppId": "CHARGER-001",
        "type": "DCFC",
        "powerSharing": false,
        "connectionStatus": {
          "status": "Connected",
          "timestamp": "2025-01-01T12:00:00.000Z"
        },
        "numberOfPorts": 1,
        "ports": [
          {
            "id": 1,
            "maximumPowerKw": 180,
            "name": "Test Port",
            "portNumber": 1,
            "connectorType": "CCS1",
            "ocppStatus": {
              "status": "Available",
              "timestamp": "2025-01-01T12:00:00.000Z",
              "errorCode": "NoError",
              "vendorErrorCode": null,
              "info": null
            },
            "currentChargingSession": {
              "id": 123,
              "startTime": "2025-01-01T11:30:00.000Z",
              "socStartPercent": 20,
              "energyDeliveredKwh": 10.5,
              "ocppIdTag": "test-tag",
              "ocppTransactionId": 456,
              "latestReadings": {
                "powerKw": {
                  "value": 50,
                  "timestamp": "2025-01-01T11:45:00.000Z"
                },
                "currentA": {
                  "value": 100,
                  "timestamp": "2025-01-01T11:45:00.000Z"
                },
                "socPercent": {
                  "value": 35,
                  "timestamp": "2025-01-01T11:45:00.000Z"
                },
                "voltage": {
                  "value": 400,
                  "timestamp": "2025-01-01T11:45:00.000Z"
                }
              },
              "vehicle": {
                "id": 22541553,
                "make": "Make",
                "model": "Model",
                "name": "9876",
                "vin": "demo-vin-0"
              },
              "rfid": null,
              "customer": {
                "name": "Test Customer"
              }
            }
          }
        ]
      }
    ]
  }]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api-docs.getflipturn.com/sites.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
